import * as ContentstackManagementSDK from '@contentstack/management';
export interface Organization {
    uid: string;
    name: string;
    enabled: boolean;
}
export interface Stack {
    uid: string;
    name: string;
    master_locale: string;
    api_key: string;
    org_uid: string;
}
export interface CreateStackOptions {
    name: string;
    description: string;
    master_locale: string;
    org_uid: string;
}
export default class ContentstackClient {
    instance: Promise<ContentstackManagementSDK.ContentstackClient>;
    limit: number;
    constructor(cmaHost: string, limit: number);
    getOrganization(org_uid: string): Promise<Organization>;
    getOrganizations(skip?: number, organizations?: Organization[]): Promise<Organization[]>;
    private mapOrganization;
    getStack(stackUID: string): Promise<Stack>;
    getStacks(org_uid: string, skip?: number, stacks?: Stack[]): Promise<Stack[]>;
    getContentTypeCount(api_key: string): Promise<number>;
    createStack(options: CreateStackOptions): Promise<Stack>;
    private buildError;
}
